## org.apache.poi.xslf.usermodel
Class XSLFHyperlink

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFHyperlink

    public class XSLFHyperlink

extends java.lang.Object

Author:
  Yegor Kozlov

Method Summary
`java.net.URI` `getTargetURI()`
`org.openxmlformats.schemas.drawingml.x2006.main.CTHyperlink` `getXmlObject()`
`void` `setAddress(java.lang.String address)`
`void` `setAddress(XSLFSlide slide)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXmlObject

    @Internal
    public org.openxmlformats.schemas.drawingml.x2006.main.CTHyperlink getXmlObject()

### setAddress

    public void setAddress(java.lang.String address)

### setAddress

    public void setAddress(XSLFSlide slide)

### getTargetURI

    @Internal
    public java.net.URI getTargetURI()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.